using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OcadMapLibrary {

	public enum MapTileMode {
		None, Normal, Honeycomb
	}

	public class MapTileInfo {

		PointSymbol tileSymbol;
		public PointSymbol TileSymbol {
			get {
				return tileSymbol;
			}
			set {
				tileSymbol = value;
			}
		}

		MapTileMode tileMode;
		public MapTileMode TileMode {
			get {
				return tileMode;
			}
			set {
				tileMode = value;
			}
		}

		double rotation;
		public double Rotation {
			get {
				return rotation;
			}
			set {
				rotation = value;
			}
		}

		double tileWidth;
		public double TileWidth {
			get {
				return tileWidth;
			}
			set {
				tileWidth = value;
			}
		}

		double tileHeight;
		public double TileHeight {
			get {
				return tileHeight;
			}
			set {
				tileHeight = value;
			}
		}

	}

}
